Strawberries: Another dusted old project of mine. Laying down in one of my old HDD for almost 5 years and it was made back before RVGL is a thing back then. 
I guess it might be a good idea to publish this to the public.
FrenchFry: Originally Semi-Pro, I paramed it to fit into RV.io's Super Pro pack as a mid tier contender. Model was originally made by Strawberries, but was remapped by FZG to be more repaint/skin friendly.
Skin and Carboxes made by Xarc. Enjoy this creation.